Name:          ws-xmlschema
Version:       2.2.1
Release:       %mkrel 1
Group:         Development/Java
Summary:       Apache XMLSchema
License:       ASL 2.0
URL:           http://ws.apache.org/xmlschema/
# wget -c http://www.apache.org/dist/ws/xmlschema/2.2.1/xmlschema-2.2.1-source-release.zip
# unzip xmlschema-2.2.1-source-release.zip
# rm -r xmlschema-2.2.1/w3c-testcases
# tar cafJ ws-xmlschema-2.2.1.tar.xz xmlschema-2.2.1
Source0:       %{name}-%{version}.tar.xz

BuildRequires: maven-local
BuildRequires: mvn(org.apache:apache:pom:)
BuildRequires: mvn(org.apache:apache-jar-resource-bundle)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-assembly-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-remote-resources-plugin)

BuildArch:     noarch

%description
Apache XMLSchema is a light weight schema object model that can be
used to manipulate or generate XML schema. It has very few external
dependencies and can be easily integrated into an existing project.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%package parent
Summary:       XMLSchema Parent POM

%description parent
XMLSchema Parent POM.

%package walker
Summary:       XMLSchema Walker

%description walker
Code to walk an XML Schema and confirm an XML Document conforms to it.

%prep
%setup -q -n xmlschema-%{version}

%pom_disable_module xmlschema-bundle-test
%pom_disable_module w3c-testcases

# Convert from dos to unix line ending
sed -i.orig 's|\r||g' RELEASE-NOTE.txt
touch -r RELEASE-NOTE.txt.orig RELEASE-NOTE.txt
rm RELEASE-NOTE.txt.orig

%build

# fastinstall profile avoids some build dependencies
# tests require unavailable dependencies
%mvn_build -sf -- -Pfastinstall

%install
%mvn_install

%files -f .mfiles-xmlschema-core
%doc README.txt RELEASE-NOTE.txt
%license LICENSE NOTICE

%files parent -f .mfiles-xmlschema
%license LICENSE NOTICE

%files walker -f .mfiles-xmlschema-walker

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE



%changelog
* Fri May 12 2017 neoclust <neoclust> 2.2.1-1.mga6
+ Revision: 1100495
- New version 2.2.1
- Second rebuild of the java stack

* Wed Feb 17 2016 umeabot <umeabot> 2.0.2-11.mga6
+ Revision: 963941
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0.2-10.mga5
+ Revision: 745783
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Thu Dec 26 2013 dmorgan <dmorgan> 2.0.2-8.mga4
+ Revision: 560758
- Build with xmvn

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

  + luigiwalser <luigiwalser>
    - BR maven-local for mvn-rpmbuild

* Mon Jan 14 2013 umeabot <umeabot> 2.0.2-5.mga3
+ Revision: 385872
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 14 2012 dmorgan <dmorgan> 2.0.2-4.mga3
+ Revision: 330634
- imported package ws-xmlschema


* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jul 5 2012 Patryk Obara <pobara@redhat.com> 2.0.2-3
- Removed link, simplified install phase

* Thu Jun 28 2012 Patryk Obara <pobara@redhat.com> 2.0.2-2
- Repackaging of sources to remove test files with bad licensing
- Fix jar file name and location

* Mon Jun 18 2012 Patryk Obara <pobara@redhat.com> 2.0.2-1
- Initial packaging

